Subject: Re: bug#17060: libguile install-data-hook target fails on BSD make

From: [email-masked] (Ludovic Courtès)
Date: Sat, 29 Mar 2014 14:27:28 +0100

Mark H Weaver <[email-masked]> skribis:

> The failing target is 'install-data-hook' in libguile/Makefile.am.
> It prints this on the console: (modulo whitespace)
>
>  /usr/bin/install -c -m 644
>       /usr/local/lib/libguile-2.0.so.29-gdb.scm
>
> Notice that the source filename is missing, suggesting that '$<' is the
> empty string.  It then fails with the following error message:
>
>   install: : No such file or directory

AFAIK ‘$<’ is standard make, and it’s used in other places in the file.
So there must be a subtle syntax variation that BSD make doesn’t
understand here.

wgl: Could you edit libguile/Makefile.in, remove the 6 comment lines
starting with “## We want to install”, and then try again ‘make
install’?

Thanks in advance,
Ludo’.